#
# spec file for package suselinux-userguide_de (Version 9.0.0.0a)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         suselinux-userguide_de
Version:      9.0.0.0a
Release:      30
#Source:       suselinux-userguide_de-%{version}.tar.bz2
Source:       suselinux-userguide-90a-de-html.tar.bz2
Source1:      suselinux-userguide-90-de-color.pdf
Source2:      susebooks.css
NoSource:     0
NoSource:     1
NoSource:     2
# Patch:        qconfig_de-8.0.0.4.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
Requires:     latex2html-pngicons
Obsoletes:    qconfig_de qappl_de
Provides:     qconfig_de qappl_de
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Userguide (German)
ExclusiveArch: x86_64 %ix86 ia64
%define MYDOC %{_defaultdocdir}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook
%define verbose_name SuSE-Linux-Userguide
%define old_name SuSE-Linux-Basics

%description
SuSE Linux Userguide (German).



%package pdf
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Userguide (German) - PDF

%description pdf
SuSE Linux Userguide (German) in PDF format.



%prep
# %setup -q -c -a
%setup -q -c -T -D -a0 -n  suselinux-userguide-de
cp %{S:1} %{verbose_name}-%{version}.pdf
cp %{S:2} html
# %patch -p 1
find -type d -name CVS | xargs rm -rfv

%build
#mkdir html
#cd html
#ln -f ../html/* . || :
#cd ..
#
# lang=$(echo %{name} | sed 's:.*_\(.*\):\1:')
# case $lang in
#   es) language=spanish ;;
#   it) language=italian ;;
#   hu) language=magyar ;;
#   cs) language=czech ;;
# esac
# if [ -z "$language" ]; then
#   true
# else
#   cp /etc/texmf/language.dat /etc/texmf/language.dat.orig
#   sed "s/^% *\($language.*\)/\1/" /etc/texmf/language.dat.orig >/etc/texmf/language.dat
#   /usr/bin/fmtutil --byfmt latex
#   /usr/bin/fmtutil --byfmt pdflatex
# fi
# %ifarch %ix86
# make x86
# # %else
# # make %{_target_cpu}
# %endif
# # %ifarch ppc
# # make ppc
# # %endif
# %ifarch %ix86
# make pdfbuch
# [ -f main.pdf ] || { echo "missing main.pdf: PDF creation failed"; exit 1;}
# e=$(pdfinfo main.pdf 2>&1 | head -1 | grep ^Error || true)
# [ -z "$e" ] || { echo "broken PDF file"; exit 1;}
# mv main.pdf %{verbose_name}-%{version}.pdf
# html=yes
# if [ -n "$html" ]; then
#   cp /usr/share/texmf/makeindex/susedoc/susedoc.perl \
#     /usr/share/texmf/makeindex/susedoc/suse.css .
#   cp Ablage/* .
#   latex2html -style suse.css -split 3 main.tex
#   mv main html
#   cp suse.css html
# else
#   mkdir html
#   echo "building HTML disabled" > html/missing
# fi
# %endif
# %ifarch %ix86
# if [ -f /etc/texmf/language.dat.orig ]; then
#   cp /etc/texmf/language.dat.orig /etc/texmf/language.dat
#   /usr/bin/fmtutil --byfmt latex
#   /usr/bin/fmtutil --byfmt pdflatex
# fi
# %endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%post pdf
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd >/dev/null
fi

%preun pdf
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC} >/dev/null
  rm -f %{old_name}.pdf
  rm -f %{verbose_name}.pdf
  popd >/dev/null
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc html

%files pdf
%doc %{verbose_name}-%{version}.pdf

%changelog -n suselinux-userguide_de
* Mon Nov 10 2003 - ke@suse.de
- Adjust missing pictures; thanks to Thomas Schraitle, reported by
  Christoph Thiel [# 32850].
* Tue Sep 16 2003 - ke@suse.de
- Fix mangled URL by Thomas Schreitle [# 30917].
- Use color PDF.
* Sat Sep 13 2003 - ro@suse.de
- remove CVS subdirs
* Fri Sep 12 2003 - ke@suse.de
- Update to version 9.0a.
* Thu Apr 24 2003 - ke@suse.de
- Fix printing problems concerning shell commands; provide an updated
  PDF file [# 26443].
* Fri Mar 14 2003 - ke@suse.de
- Add susebooks.css.
- Update to 82b; fix HTML problems, final cleanup.
* Wed Mar 12 2003 - ke@suse.de
- Add PDF file as a subpackage.
- Mark source files as Nosource.
* Wed Mar 05 2003 - ke@suse.de
- Update to version 8.1.0.96 (for testing; switch from XHTML to HTML on
  account of the help system).
* Mon Mar 03 2003 - ke@suse.de
- Update to version 8.1.0.95 (for testing; HTML mostly finished).
* Tue Feb 18 2003 - ke@suse.de
- Update to version 8.1.0.90 (for testing; preliminary HTML only).
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Thu Sep 12 2002 - mls@suse.de
- added cups-libs and openssl to neededforbuild
* Wed Sep 04 2002 - ke@suse.de
- Update to version 8.1.0.7.
* Mon Aug 26 2002 - ke@suse.de
- Update to version 8.1.0.5.
* Fri Aug 16 2002 - ke@suse.de
- Update to version 8.1.0.4.
- Provide PreReq [# 17999].
* Wed Jul 31 2002 - ke@suse.de
- Update to version 8.1.0.3.
- Shut up pre and post scripts; reported by Thorsten Kukuk.
* Wed Jul 17 2002 - ke@suse.de
- Version 8.1.0.2 (for testing).
- Fix %%ix86 macro usage.
* Thu Jul 04 2002 - ke@suse.de
- Version 8.1.0.1 (for testing).
- Use "ix86" instead of "i386" for conditionals.
* Tue Jun 18 2002 - ke@suse.de
- Version 8.1.0.0 (for testing).
- Obsoletes/Provides: qconfig_de qappl_de.
* Thu Apr 18 2002 - ke@suse.de
- Enable graphics for PDF.
- Fix a reference to the Reference Manual (Printing).
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for icons
- add l2h-pngicons to neededforbuild
* Fri Mar 15 2002 - ke@suse.de
- Update to version 8.0.0.3.
- Enable HTML output (thanks to Ruediger Oertel, Roman Hodek, and
  Thomas Schraitle for help!); [# 13759].
* Fri Mar 08 2002 - ke@suse.de
- Update to version 8.0.0.3.
- Try to build HTML output format to fix # 13759; failed with "out of
  memory".
* Tue Mar 05 2002 - ke@suse.de
- Improve %%ifdef usage in spec file to make the package "succeed" on
  foreign architectures, too.
* Mon Mar 04 2002 - ke@suse.de
- Update to version 8.0.0.2.
* Tue Feb 12 2002 - ke@suse.de
- Update to version 8.0.0.1.
- Drop several neededforbuild entries (at the moment we don't call
  LaTeX2HTML); add xpdf because we want to verify resulting PDF files
  using pdfinfo.
- Test whether the PDF file is valid.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Aug 15 2001 - utuerk@suse.de
- up to 7.3.0.1
- no pdf yet
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 18 2001 - ke@suse.de
- Update to version 7.2.0.1a.
* Fri May 04 2001 - ro@suse.de
- fixed clean sequence
* Thu May 03 2001 - kukuk@suse.de
- Fix spec file, never create empty RPMs, abort on all unsupported
  architectures.
* Thu May 03 2001 - utuerk@suse.de
- new version 7.2
* Mon Mar 12 2001 - ro@suse.de
- added liblcms to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Tue Feb 20 2001 - gbrand@suse.de
- convert does not work - rebuild
* Wed Feb 14 2001 - gbrand@suse.de
- cp some pictures to its destination
* Wed Feb 14 2001 - ro@suse.de
- fixed setcolor.pl call
* Thu Jan 18 2001 - gbrand@suse.de
- changed some pics
* Wed Jan 17 2001 - gbrand@suse.de
- only html-output
* Wed Jan 17 2001 - gbrand@suse.de
- conf-file for susehelp has changed
* Tue Jan 16 2001 - gbrand@suse.de
- add html-output at ppc
* Tue Jan 16 2001 - gbrand@suse.de
- ppc does not build (fixed)
* Mon Jan 15 2001 - gbrand@suse.de
- added dvi, ps output
* Mon Jan 15 2001 - gbrand@suse.de
- first try (only html-output. make<arch> break unexpected)
